SDL_HINT_X11_WINDOW_TYPE(3)

NAME
SDL_HINT_X11_WINDOW_TYPE - A variable specifying the type of an X11 window.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_X11_WINDOW_TYPE "SDL_X11_WINDOW_TYPE"

DESCRIPTION
During SDL_CreateWindow, SDL uses the _NET_WM_WINDOW_TYPE X11 property to report to the window manager the type of window it wants to create. This might be set to various things if SDL_WINDOW_TOOLTIP or SDL_WINDOW_POPUP_MENU, etc, were specified. For "normal" windows that haven't set a specific type, this hint can be used to specify a custom type. For example, a dock window might set this to "_NET_WM_WINDOW_TYPE_DOCK".

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.0.